.editor {
	position: relative;
	border: 1px solid #ddd;
	border-width: 5px 1px;
	border-radius: 7px;
	background: #f5f5f5;
	margin: 7px 0;
}
.editor>.CodeMirror {
	height: auto;
	border-radius: 5px;
}
.editing .editor:not(.show-code)>.CodeMirror {
	display: none;
}
.editor textarea:focus + .editor::after, .editor:focus-within::after {
	border-color: #5cb7db;
}
.editor.loading::after {
	border-color: #f90;
}
.editor.error::after {
	border-color: #b00;
}
.editor .header {
	background: #eee;
	padding: 3px 10px;
	font-size: 14px;
	border: 1px solid #ccc;
	border-bottom: 0;
}
.editor .comment.error {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	padding: 10px 15px;
	background: #ffcccc;
}
.editor .comment.green {
	background: #bbd7bb;
}
.editor .comment:empty, .editor .result:empty {
	display: none !important;
}
.editor .buttons {
	font-family: monospace;
	font-size: 14px;
	text-align: right;
	padding: 1px 7px;
}
.editor .buttons .button {
	font-size: 13px;
	padding: 1px 9px;
	background: #555;
	font-family: monospace;
}
.show-code-placeholder {
	display: none;
	background: #272822;
	color: #fff;
	text-align: center;
	border-radius: 5px;
	font-family: monospace;
	padding: 5px 0;
	cursor: pointer;
}
.editing .show-code-placeholder {
	display: block;
}
.editing .editor.show-code .show-code-placeholder {
	display: none;
}
.editor textarea[name="code_display"] {
	line-height: 1.6;
	height: 700px;
}
.editor .comment {
	background: #f5f5f5;
	padding: 7px 15px;
	margin: 0;
	border-top: 1px solid #ccc;
	font-size: 12px;
	line-height: 1.4;
}
.editor .result {
	background: #fff;
	top: 5px;
	opacity: 0.5;
	right: 10px;
	font-size: 14px;
}
.resize {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    background: #eee;
    width: 5px;
    cursor: ew-resize;
}
.editing [data-module="comm"] .messages {
	padding: 0;
  	flex: 1 1 auto;
  	max-height: none;
	overflow-y: auto;
}
.editing .composition-box {
	margin: 0;
	flex: 0 0 auto;
}
.editing [data-module="comm"] .channel-list {
	flex: 1;
	overflow-y: auto;
	scrollbar-width: none;
}

.editing [data-module="comm"] .channel-item {
	padding: 6px 12px;
}

.editing [data-module="comm"] .channel-item a {
	color: #554;
	text-decoration: underline;
}
[data-module="console"] .CodeMirror {
	height: 100%;
}
.editing [data-module="console"] {
	display: block;
}
[data-module="capcom"] .messages {
	overflow-y: scroll;
	padding: 0 50px;
	flex: 1;
	min-height: 0;
}
.editing .channel-header {
	display: none;
}
.editing .message .metadata::before {
	content: 'G';
	font-family: icons;
	font-size: 18px;
	margin-right: 3px;
	vertical-align: text-bottom;
	line-height: 20px;
}
.editing .message[data-role="user"] .metadata::before {
	content: '5';
}
.editing .message:before {
	display: none;
}
.editing .message .content:before, .editing .message .content:after {
	display: none;
}
.editing .message .content {padding: 8px 14px;font-size: 16px;}
.channel-actions a {
	display: inline-block;
	padding: 4px 9px;
	font-size: 13px;
	background: #eee;
	border-radius: 7px;
	vertical-align: middle;
  	margin-left: 7px;
}